import'reflect-metadata';import {logger}from'@cdm-logger/server';import features from'./modules.js';import {getRedisClient}from'./config/redis-config.server.js';/* eslint-disable @typescript-eslint/ban-ts-comment */
const routeConfig = features.getConfiguredRoutes();
const redisClient = getRedisClient(logger);
const loadContext = async (req, res) => {
    const { container, store, apolloClient, services, logger } = req;
    return {
        modules: features,
        routeConfig,
        store,
        container,
        apolloClient,
        services,
        redisClient,
        logger,
    };
};export{loadContext};